Bug 433785 - Can't install to hard drive
Can't install to hard drive
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: LiveCD (Show other bugs)
rawhide
All Linux
low Severity urgent
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-21 09:01 EST by Gary Thomas
Modified: 2013-01-09 23:35 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-21 09:28:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Install to LVM failure log (16.13 KB, text/plain)
2008-02-21 09:01 EST, Gary Thomas
no flags Details
Install to fixed layout failure log (22.22 KB, text/plain)
2008-02-21 09:03 EST, Gary Thomas
no flags Details

  None (edit)
Description Gary Thomas 2008-02-21 09:01:16 EST
Description of problem:

Unable to install liveCD image to hard disk

Version-Release number of selected component (if applicable):

liveCD built from rawhide 2008-02-20
  anaconda-11.4.0.37
  livecd-tools-014-1

How reproducible:


Steps to Reproduce:
1. Boot LiveCD (into single user mode)
2. Try to install to hard disk using command 'liveinst --text'
3.
  
Actual results:


Expected results:


Additional info:

Different failures for LVM (default) or hard-coded disk layouts
Failure dumps will be attached below.
Comment 1 Gary Thomas 2008-02-21 09:01:16 EST
Created attachment 295506 [details]
Install to LVM failure log
Comment 2 Gary Thomas 2008-02-21 09:03:01 EST
Created attachment 295507 [details]
Install to fixed layout failure log

Tried to install to fixed layout (custom)
  /dev/sda1 - /boot
  /dev/sda2 - /
  /dev/sda3 - swap
Comment 3 Jeremy Katz 2008-02-21 09:28:49 EST
Should be fixed up with git anaconda (note: bugs when installing from the livecd
should usually be filed against anaconda as opposed to livecd)
Comment 4 Gary Thomas 2008-02-21 09:37:57 EST
Two questions:
  * How do I rebuild the anaconda RPM using the git tree?  [I'd like to
    use any official mechanism so my methodology doesn't impact results]
  * Does this close both failures (LVM and custom)?

Note You need to log in before you can comment on or make changes to this bug.